"eigen.decomp" <-
function(m1, m2, tol=1e-5){
    # cholesky decomposition of m2 = t(cm2) %*% cm2
    # and inverse(t(cm2)) = t(inverse(cm2)) 
    cm2 = chol(m2); 
    inv.cm2 = cm2;
    idx.cm2 = diag(cm2)>tol;
    inv.cm2[idx.cm2, idx.cm2] = solve(cm2[idx.cm2, idx.cm2]);
    
    m3 = t(inv.cm2) %*% m1 %*% (inv.cm2);
    svd.m3 = svd(m3);
    eigen.value = svd.m3$d;
    eigen.vect = inv.cm2 %*% svd.m3$v;
    result = list(values=eigen.value, vectors=eigen.vect);
    result
}

