"plot.3d.sir" <-
function(object, which=1:2, angles=c(60, 120), z.plane=NULL,logY=FALSE) {
    library(scatterplot3d)

    if(length(which)!=2){
        stop("Please indicate 2 and only 2 directions for plot.3d\n");
    }
    if(length(angles)>6){
        stop("no more than 6 directions can be plot at one time");
    }

    dirs = object$x %*% object$evec[,which];
    if(logY){
        surv = log(object$y);
        labZ = "log(survival time)";
    }else{
        surv = object$y;
        labZ = "survival time";
    }
    labX = colnames(object$evec[,which]);
    
    if(length(angles)==2){ par(mfrow=c(1,2)); }
    if(length(angles)==3 || length(which)==4){ par(mfrow=c(2,2)); }
    if(length(angles)==5 || length(which)==6){ par(mfrow=c(2,3)); }
        
    d = object$delta;
    
    for(i in 1:length(angles)){
        s3d = scatterplot3d(dirs[,1], dirs[,2], xlab=labX[1], grid=TRUE, 
            ylab=labX[2], zlab=labZ, surv, angle=angles[i], type="n");
        s3d$points3d(dirs[d==1,1], dirs[d==1,2], surv[d==1], 
            col="blue", type="p", pch=16);
        s3d$points3d(dirs[d==0,1], dirs[d==0,2], surv[d==0], 
            col="red", type="p", pch=10);
        if(!is.null(z.plane)){
            s3d$plane3d(z.plane, 0 ,0);
        }
    }
}

