\name{eigen.decomp}
\alias{eigen.decomp}
\title{ eigenvalue decompsition of one matrix with respect to the other matrix }
\description{
  carry out the eigenvalue decompsition of m1 %*% b = lamda * m2 %*% b 
}
\usage{
eigen.decomp(m1, m2, tol=1e-5)
}
\arguments{
  \item{m1}{ left-side matrix, should be real symmetric positive-definite }
  \item{m2}{ right-side matrix, should be real symmetric positive-definite }
  \item{tol}{ diagonal value smaller than tol will not be inversed }
}
\details{
}
\value{
  \item{values }{the eigen values of eigen decomposition}
  \item{vectors }{the eigen vectors of eigen decomposition}
}
\references{ 
  Ker-chau Li, Jane-ling Wang and Chun-Hou Chen (1999) Dimension reduction for 
  censored regression data.   \emph{The Annals of Statistics} \bold{27}, 1-23.
}
\author{  Wei Sun sunwei@stat.ucla.edu }
\note{ singlar data matrix(not m1 or m2) is not recommended, though it can be
handled }

\seealso{ \code{\link{cen.sir}} \code{\link{double.slice}} }
\examples{
x = matrix(rnorm(40), nrow=10, ncol=4);
y = matrix(rnorm(40), nrow=10, ncol=4);
m1 = cov(x);
m2 = cov(y);
e  = eigen.decomp(m1, m2);
}
\keyword{ utilities }
